Package com.sap.ai.sdk.orchestration.model

# Class ModuleConfigs

java.lang.Object
com.sap.ai.sdk.orchestration.model.ModuleConfigs

public class ModuleConfigs extends Object
ModuleConfigs

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ModuleConfigs.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ModuleConfigs()`
  Default constructor for ModuleConfigs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ModuleConfigs.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `ModuleConfigs` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `ModuleConfigs`
  `filtering(FilteringModuleConfig filtering)`
  Set the filtering of this `ModuleConfigs` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ModuleConfigs`.
  `FilteringModuleConfig`
  `getFiltering()`
  Get filtering
  `GroundingModuleConfig`
  `getGrounding()`
  Get grounding
  `MaskingModuleConfig`
  `getMasking()`
  Get masking
  `PromptTemplatingModuleConfig`
  `getPromptTemplating()`
  Get promptTemplating
  `TranslationModuleConfig`
  `getTranslation()`
  Get translation
  `ModuleConfigs`
  `grounding(GroundingModuleConfig grounding)`
  Set the grounding of this `ModuleConfigs` instance and return the same instance.
  `int`
  `hashCode()`
  `ModuleConfigs`
  `masking(MaskingModuleConfig masking)`
  Set the masking of this `ModuleConfigs` instance and return the same instance.
  `ModuleConfigs`
  `promptTemplating(PromptTemplatingModuleConfig promptTemplating)`
  Set the promptTemplating of this `ModuleConfigs` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ModuleConfigs` instance.
  `void`
  `setFiltering(FilteringModuleConfig filtering)`
  Set the filtering of this `ModuleConfigs` instance.
  `void`
  `setGrounding(GroundingModuleConfig grounding)`
  Set the grounding of this `ModuleConfigs` instance.
  `void`
  `setMasking(MaskingModuleConfig masking)`
  Set the masking of this `ModuleConfigs` instance.
  `void`
  `setPromptTemplating(PromptTemplatingModuleConfig promptTemplating)`
  Set the promptTemplating of this `ModuleConfigs` instance.
  `void`
  `setTranslation(TranslationModuleConfig translation)`
  Set the translation of this `ModuleConfigs` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ModuleConfigs` instance including unrecognized properties.
  `String`
  `toString()`
  `ModuleConfigs`
  `translation(TranslationModuleConfig translation)`
  Set the translation of this `ModuleConfigs` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModuleConfigs

    protected ModuleConfigs()
    Default constructor for ModuleConfigs.

- ## Method Details

  - ### promptTemplating

    @Nonnull public ModuleConfigs promptTemplating(@Nonnull PromptTemplatingModuleConfig promptTemplating)
    Set the promptTemplating of this `ModuleConfigs` instance and return the same instance.
    Parameters:
      `promptTemplating` - The promptTemplating of this `ModuleConfigs`
    Returns:
      The same instance of this `ModuleConfigs` class

  - ### getPromptTemplating

    @Nonnull public PromptTemplatingModuleConfig getPromptTemplating()
    Get promptTemplating
    Returns:
      promptTemplating The promptTemplating of this `ModuleConfigs` instance.

  - ### setPromptTemplating

    public void setPromptTemplating(@Nonnull PromptTemplatingModuleConfig promptTemplating)
    Set the promptTemplating of this `ModuleConfigs` instance.
    Parameters:
      `promptTemplating` - The promptTemplating of this `ModuleConfigs`

  - ### filtering

    @Nonnull public ModuleConfigs filtering(@Nullable FilteringModuleConfig filtering)
    Set the filtering of this `ModuleConfigs` instance and return the same instance.
    Parameters:
      `filtering` - The filtering of this `ModuleConfigs`
    Returns:
      The same instance of this `ModuleConfigs` class

  - ### getFiltering

    @Nonnull public FilteringModuleConfig getFiltering()
    Get filtering
    Returns:
      filtering The filtering of this `ModuleConfigs` instance.

  - ### setFiltering

    public void setFiltering(@Nullable FilteringModuleConfig filtering)
    Set the filtering of this `ModuleConfigs` instance.
    Parameters:
      `filtering` - The filtering of this `ModuleConfigs`

  - ### masking

    @Nonnull public ModuleConfigs masking(@Nullable MaskingModuleConfig masking)
    Set the masking of this `ModuleConfigs` instance and return the same instance.
    Parameters:
      `masking` - The masking of this `ModuleConfigs`
    Returns:
      The same instance of this `ModuleConfigs` class

  - ### getMasking

    @Nonnull public MaskingModuleConfig getMasking()
    Get masking
    Returns:
      masking The masking of this `ModuleConfigs` instance.

  - ### setMasking

    public void setMasking(@Nullable MaskingModuleConfig masking)
    Set the masking of this `ModuleConfigs` instance.
    Parameters:
      `masking` - The masking of this `ModuleConfigs`

  - ### grounding

    @Nonnull public ModuleConfigs grounding(@Nullable GroundingModuleConfig grounding)
    Set the grounding of this `ModuleConfigs` instance and return the same instance.
    Parameters:
      `grounding` - The grounding of this `ModuleConfigs`
    Returns:
      The same instance of this `ModuleConfigs` class

  - ### getGrounding

    @Nonnull public GroundingModuleConfig getGrounding()
    Get grounding
    Returns:
      grounding The grounding of this `ModuleConfigs` instance.

  - ### setGrounding

    public void setGrounding(@Nullable GroundingModuleConfig grounding)
    Set the grounding of this `ModuleConfigs` instance.
    Parameters:
      `grounding` - The grounding of this `ModuleConfigs`

  - ### translation

    @Nonnull public ModuleConfigs translation(@Nullable TranslationModuleConfig translation)
    Set the translation of this `ModuleConfigs` instance and return the same instance.
    Parameters:
      `translation` - The translation of this `ModuleConfigs`
    Returns:
      The same instance of this `ModuleConfigs` class

  - ### getTranslation

    @Nonnull public TranslationModuleConfig getTranslation()
    Get translation
    Returns:
      translation The translation of this `ModuleConfigs` instance.

  - ### setTranslation

    public void setTranslation(@Nullable TranslationModuleConfig translation)
    Set the translation of this `ModuleConfigs` instance.
    Parameters:
      `translation` - The translation of this `ModuleConfigs`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ModuleConfigs`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ModuleConfigs` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ModuleConfigs` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ModuleConfigs` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ModuleConfigs.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `ModuleConfigs` instance with all required arguments.